<app-layout>
    <div class="row my-4">
        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
          <mat-card *ngIf="linkpanel">
            <mat-card-header>
                    <mat-card-title>Links</mat-card-title>    
            </mat-card-header>
            <mat-card-content>
                    <mat-expansion-panel style="margin-bottom: 5px;"  [expanded]="false" *ngFor="let d of tokendata">

                        <mat-expansion-panel-header [ngStyle]="{'background-color': d.status === false ? '#bbb6b5' : 'white' }">
                            <mat-panel-title>                                   
                                    <div class="col-lg-4 col-md-4 col-sm-2 col-xs-2">
                                            {{d.username}}
                                    </div>
                                    <div class="col-lg-4 col-md-4 col-sm-2 col-xs-2"></div>
                                    <div style="text-align: center" class="col-lg-4 col-md-4 col-sm-2 col-xs-2">
                                                                            
                                    </div>                                    
                                </mat-panel-title>
                            </mat-expansion-panel-header>
                            <div class="row">
                            <div class="col-lg-9 col-md-9 col-sm-6 col-xs-6">
                                    <p style="font-size: smaller;overflow-wrap: break-word;" #text>{{baseurl+d.token}}</p>
                            </div>
                            <div style="text-align: right;" class="col-lg-2 col-md-2 col-sm-2 col-xs-2">
                                    <button mat-raised-button  matTooltip="Edit Status"><mat-icon  (click)="OpeneditDilog(d._id)">edit</mat-icon></button>
                                   <button mat-raised-button matTooltip="Copy URL"> <mat-icon (click)="copytoclipboard(baseurl+d.token)">file_copy</mat-icon></button>
                            </div>
                        </div>
                    </mat-expansion-panel>
            </mat-card-content>
          </mat-card>
          <mat-card class="margins">
            <mat-card-header>
                    <mat-card-title>Locations</mat-card-title>
            </mat-card-header>
                <mat-card-content>
                    <table mat-table [dataSource]="locationdata" class="mat-elevation-z8">
                            <ng-container matColumnDef="serial">
                                <th mat-header-cell *matHeaderCellDef> Serial </th>
                                <td mat-cell *matCellDef="let element; let i = index;"> {{i+1}} </td>
                            </ng-container>
                                
                            <ng-container matColumnDef="location">
                                <th mat-header-cell *matHeaderCellDef> Location </th>
                                <td mat-cell *matCellDef="let element"> {{element.location}} </td>
                            </ng-container>
                            
                            <ng-container matColumnDef="direction">
                                <th mat-header-cell *matHeaderCellDef> Direction </th>
                                <td mat-cell *matCellDef="let element"> {{element.direction}} </td>
                            </ng-container>
                            
                            <ng-container matColumnDef="action">
                                <th mat-header-cell *matHeaderCellDef> Actions </th>
                                <td mat-cell *matCellDef="let element"> 
                                    <button mat-button matTooltip="Generate Link"><mat-icon (click)="OpenDilog(element._id)">share</mat-icon></button> &nbsp; &nbsp; 
                                    <button mat-button matTooltip="View links"><mat-icon (click)="Openlinks(element._id)">remove_red_eye</mat-icon> </button>            
                                </td>
                                    </ng-container>
                            
                            <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
                            <tr mat-row *matRowDef="let row; columns: displayedColumns; let i = index"></tr>                     
                    </table>
                      <mat-paginator [pageSizeOptions]="[5, 10, 20]" showFirstLastButtons></mat-paginator>               
            </mat-card-content>
          </mat-card>
        </div>
      </div>
  

</app-layout>